Subject: bug#34506: 27.0.50: push-button bug with basic text-property button

From: Robert Weiner <[email-masked]>
Date: Wed, 20 Feb 2019 00:22:44 -0500

> On Feb 19, 2019, at 10:26 AM, Basil L. Contovounesios <[email-masked]> wrote:
> 
> I don't see why anyone
>   would mix widgets and buttons in the same buffer and run the risk of
>   such gotchas.  I believe this contributed in part to Robert's
>   confusion.

If buttons and widgets are wholly incompatible and separate then button-at should return nil when on a widget even if both buttons and widgets use the same underlying mechanism.  This is what abstractions are for.  The implementation should be hidden.

The abstraction I really want is if there is a clickable item under point, activate it in the most appropriate way, e.g. if selected with a mouse event, use it’s mouse action, etc.  Maybe an activate-at function that handles different types of objects with a priority order if there are multiple matches. 

Bob